Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Attributes

# ipe::PdfToken Struct Reference

A PDF lexical token. More...

`#include <ipepdfparser.h>`

List of all members.

## Public Types

- enum TToken {
  EErr, EOp, EName, ENumber,
  EString, ETrue, EFalse, ENull,
  EArrayBg, EArrayEnd, EDictBg, EDictEnd
  }

## Public Attributes

- TToken iType
- String iString

## Detailed Description

A PDF lexical token.

## Member Enumeration Documentation

enum ipe::PdfToken::TToken

The various types of tokens.

Enumerator:

  EErr |
  EOp |
  EName |
  ENumber |
  EString |
  ETrue |
  EFalse |
  ENull |
  EArrayBg |
  EArrayEnd |
  EDictBg |
  EDictEnd |

## Member Data Documentation

TToken ipe::PdfToken::iType

The type of this token.

String ipe::PdfToken::iString

The string representing this token.

The documentation for this struct was generated from the following file:

- ipepdfparser.h